site_name: STARTX SXCollector
site_description: Utility to collect and render kubernetes and openshift metrics about nodes or namespaces
site_author: STARTX
docs_dir: ./docs
# site_favicon: img/favicon.ico
use_directory_urls: true
theme:
    name: readthedocs
    highlightjs: true
    hljs_languages:
    - yaml
    - bash
    - go
    include_homepage_in_sidebar: false
nav:
  - Introduction: 'index.md'
  - Installation: 'installation.md'
  - Sub-Commands:
    - cluster-sub: subc/ClusterSub.md
    - node-info: subc/NodeInfo.md
    - node-state: subc/NodeState.md
    - node-conso: subc/NodeConso.md
    - node-ns-conso: subc/NodeNsConso.md
    - node-billing: subc/NodeBilling.md
    - ns-info: subc/NsInfo.md
    - ns-state: subc/NsState.md
    - ns-conso: subc/NsConso.md
    - ns-deep: subc/NsDeep.md
  - Options:
    - Generic: options/generic.md
    - Output: options/output.md
    - Period: options/period.md
    - Mail: options/mail.md
    - Confluence: options/confluence.md
    - GoogleSpreadsheet: options/gsheet.md
  - Examples:
    - Command-line: examples/cli.md
    - Container: examples/container.md
    - Kubernetes: examples/raw.md
    - Kustomize: examples/kustomize.md
    - Openshift: examples/openshift.md
    - ArgoCD: examples/argocd.md
  - Project:
    - 'History': 'history.md'
    - 'License': 'licence.md'
    - 'Contribute': 'contribute.md'
markdown_extensions: 
- smarty
